diff -up sos-2.2/sos/plugins/rhn.py.orig sos-2.2/sos/plugins/rhn.py
--- sos-2.2/sos/plugins/rhn.py.orig	2012-03-06 11:22:14.336322665 +0000
+++ sos-2.2/sos/plugins/rhn.py	2012-03-06 11:22:23.937322883 +0000
@@ -28,8 +28,13 @@ class rhn(sos.plugintools.PluginBase):
     def checkenabled(self):
         # enable if any related package is installed
 
-        self.satellite = self.isInstalled("rhns-satellite-tools")
-        self.proxy = self.isInstalled("rhns-proxy-tools")
+        self.satellite = self.isInstalled("rhns-satellite-tools") \
+                        or self.isInstalled("spacewalk-java") \
+                        or self.isInstalled("rhn-base")
+        
+        self.proxy = self.isInstalled("rhns-proxy-tools") \
+                    or self.isInstalled("spacewalk-proxy-management") \
+                    or self.isInstalled("rhn-proxy-management")
 
         if self.satellite or self.proxy:
             return True
@@ -72,15 +77,15 @@ class rhn(sos.plugintools.PluginBase):
                self.addCopySpec("/etc/tomcat5")
                self.addCopySpec("/var/log/tomcat5")
 
-            self.addCopySpec("/etc/tomcat5")
-            self.addCopySpec("/var/log/tomcat5")
+            self.addCopySpec("/etc/tomcat5/")
+            self.addCopySpec("/var/log/tomcat5/")
 
         if self.proxy:
             # copying configuration information
-            self.addCopySpec("/etc/squid")
+            self.addCopySpec("/etc/squid/")
 
             # copying logs
-            self.addCopySpec("/var/log/squid")
+            self.addCopySpec("/var/log/squid/")
 
         return
 
